Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty
Class HttpOnlyCookie

    java.lang.Object
      javax.servlet.http.Cookie
          org.mortbay.jetty.HttpOnlyCookie

All Implemented Interfaces:
  java.lang.Cloneable

    public class HttpOnlyCookie

extends javax.servlet.http.Cookie

HttpOnlyCookie.

Implements `javax.servlet.Cookie` from the `javax.servlet` package.

This derivation of javax.servlet.http.Cookie can be used to indicate that the microsoft httponly extension should be used. The addSetCookie method on HttpFields checks for this type.

Author:
  gregw

Constructor Summary
`HttpOnlyCookie(java.lang.String name, java.lang.String value)`

Method Summary

Methods inherited from class javax.servlet.http.Cookie
`clone, getComment, getDomain, getMaxAge, getName, getPath, getSecure, getValue, getVersion, setComment, setDomain, setMaxAge, setPath, setSecure, setValue, setVersion`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpOnlyCookie

    public HttpOnlyCookie(java.lang.String name,
                          java.lang.String value)

Parameters:
  `name` -
  `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.